{ lib, pkgs, ... }:
let
  ckb-next = pkgs.ckb-next.overrideAttrs (prev: {
    cmakeFlags = (prev.cmakeFlags or [ ]) ++ [ "-DUSE_DBUS_MENU=0" ];
  });
in
{
  hardware.ckb-next = {
    enable = true;
    package = ckb-next;
  };

  services.libinput.mouse = {
    accelProfile = "flat";
    accelSpeed = 0.0;
  };

  quick.services = {
    ckb-next = "${lib.getExe ckb-next} -c -b";
  };
}
